Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.security
Class PeerX509TrustManagerFactory

`java.lang.Object
javax.net.ssl.TrustManagerFactorySpi
com.tangosol.net.security.PeerX509TrustManagerFactory`

      public class PeerX509TrustManagerFactory

extends javax.net.ssl.TrustManagerFactorySpi

A factory for `PeerX509TrustManager` instances.

Author:
  jh 2010.05.11

Constructor Summary
`PeerX509TrustManagerFactory()`

Method Summary
`protected javax.net.ssl.TrustManager[]` | `engineGetTrustManagers()` Return one trust manager for each type of trust material.
`protected void` | `engineInit(java.security.KeyStore keyStore)` Initialize this factory with a source of certificate authorities and related trust material.
`protected void` | `engineInit(javax.net.ssl.ManagerFactoryParameters params)` Initialize this factory with a source of provider-specific key material.

Constructor Detail

### PeerX509TrustManagerFactory

    public PeerX509TrustManagerFactory()

Method Detail

### engineGetTrustManagers

    protected javax.net.ssl.TrustManager[] engineGetTrustManagers()

  Return one trust manager for each type of trust material.
  Specified by:
    `engineGetTrustManagers` in class `javax.net.ssl.TrustManagerFactorySpi`
  Returns:
    one trust manager for each type of trust material

### engineInit

    protected void engineInit(java.security.KeyStore keyStore)
                       throws java.security.KeyStoreException

  Initialize this factory with a source of certificate authorities and related trust material.
  Specified by:
    `engineInit` in class `javax.net.ssl.TrustManagerFactorySpi`
  Parameters:
    `keyStore` - the trust material source
  Throws:
    `java.security.KeyStoreException`

### engineInit

    protected void engineInit(javax.net.ssl.ManagerFactoryParameters params)
                       throws java.security.InvalidAlgorithmParameterException

  Initialize this factory with a source of provider-specific key material.
  Specified by:
    `engineInit` in class `javax.net.ssl.TrustManagerFactorySpi`
  Parameters:
    `params` - provider-specific key material
  Throws:
    `java.security.InvalidAlgorithmParameterException`

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.1.0 E18814-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.